<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.huatek.busi.mapper.BusiOfflineCableBrandMapper">

    <sql id="Base_Column_List">
        id,
        site_id as siteId,
        main_equipment_id as mainEquipmentId,
        cable_name as cableName,
        factory_time as factoryTime,
        manufacturer as manufacturer,
        cable_model as cableModel,
        site_code as siteCode,
        manufacturer as manufacturer,
        factory_time as factoryTime,
        equipment_code as equipmentCode,
        create_user as createUser,
        create_time as createTime,
        site_code as siteCode,
        rated_voltage as ratedVoltage,
        rated_current as ratedCurrent,
        status
    </sql>
    
    <select id="getBusiOfflineCableBrandInfo" parameterType="java.lang.String" resultType="com.huatek.busi.vo.BusiOfflineCableBrandVo">
        SELECT
            <include refid="Base_Column_List"/>
        FROM
            busi_offline_cable_brand
        WHERE
            STATUS = '1'
        AND site_id = #{siteId}
        AND main_equipment_id = #{mainEquipmentId}
    </select>
</mapper>